libdist-zilla-plugin-podspellingtests-perl_2.007005-1_all.deb


Advertisement

Description

libdist-zilla-plugin-podspellingtests-perl - Backward-compatibility wrapper around Dist::Zilla::Plugin::Test::PodSpelling

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libdist-zilla-plugin-podspellingtests-perl_2.007005-1_all.deb
Package name libdist-zilla-plugin-podspellingtests-perl
Package version 2.007005
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl
Homepage https://metacpan.org/release/Dist-Zilla-Plugin-Test-PodSpelling
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 11.42 KB
Installed size 33.00 KB
Dist::Zilla::Plugin::PodSpellingTests is the old name of
Dist::Zilla::Plugin::Test::PodSpelling.
This package contains the wrapper plugin
Dist::Zilla::Plugin::PodSpellingTests which extends
Dist::Zilla::Test::PodSpelling and adds nothing.
You can safely remove this transitional package if none of your
Dist::Zilla based distributions uses "[PodSpellingTests]" anymore.

Alternatives

Package Version Architecture Repository
libdist-zilla-plugin-podspellingtests-perl_2.007005-1_all.deb 2.007005 all Debian Main
libdist-zilla-plugin-podspellingtests-perl - - -

Requires

Name Value
libdist-zilla-plugin-test-podspelling-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libdist-zilla-plugin-podspellingtests-perl_2.007005-1_all.deb
Source Package libdist-zilla-plugin-test-podspelling-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdist-zilla-plugin-podspellingtests-perl deb package:
    # sudo apt-get install libdist-zilla-plugin-podspellingtests-perl

Files

Path
/usr/share/doc/libdist-zilla-plugin-podspellingtests-perl/changelog.Debian.gz
/usr/share/doc/libdist-zilla-plugin-podspellingtests-perl/changelog.gz
/usr/share/doc/libdist-zilla-plugin-podspellingtests-perl/copyright
/usr/share/man/man3/Dist::Zilla::Plugin::PodSpellingTests.3pm.gz
/usr/share/perl5/Dist/Zilla/Plugin/PodSpellingTests.pm

Changelog

2017-12-22 - Axel Beckert <abe@debian.org>
libdist-zilla-plugin-test-podspelling-perl (2.007005-1) unstable; urgency=medium
* Import upstream version 2.007005.
+ Drop libtest-script-perl build dependency.
* Declare compliance with Debian Policy 4.1.2.
+ Drop Priority field from transitional package.
* Set "Rules-Requires-Root: no".
* Bump debhelper compatibility level to 10.
+ Update versioned debhelper build-dependency accordingly.
2016-10-28 - gregor herrmann <gregoa@debian.org>
libdist-zilla-plugin-test-podspelling-perl (2.007004-1) unstable; urgency=medium
* Team upload.
[ Axel Beckert ]
* Import upstream version 2.007002
[ gregor herrmann ]
* Import upstream version 2.007004.
Fixes test issues, also exposed on ci.debian.net.
* Add build dependency on libtest-deep-perl.
2016-05-30 - gregor herrmann <gregoa@debian.org>
libdist-zilla-plugin-test-podspelling-perl (2.007001-1) unstable; urgency=medium
* Team upload.
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Import upstream version 2.007001:
+ Fixes "FTBFS: Can't locate Path/Class.pm in @INC"
(Closes: #825424)
+ Fixes "Deprecation Warning with Dist::Zilla v6, will FTBFS with
Dist::Zilla v7" (Closes: #825314)
* Update build dependencies.
* New upstream copyright holder and contact.
* Remove no more needed version constraints in (build) dependencies.
* Declare compliance with Debian Policy 3.9.8.
2016-02-21 - Damyan Ivanov <dmn@debian.org>
libdist-zilla-plugin-test-podspelling-perl (2.007000-2) unstable; urgency=medium
* Team upload
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ Damyan Ivanov ]
* Claim conformance with Policy 3.9.7
* Swap alternatives in Test::Simple build-dependency
2015-12-03 - Axel Beckert <abe@debian.org>
libdist-zilla-plugin-test-podspelling-perl (2.007000-1) unstable; urgency=medium
[ gregor herrmann ]
* Update Test::Tester build dependency.
* Rename autopkgtest configuration file(s) as per new pkg-perl-
autopkgtest schema.
[ Axel Beckert ]
* Import upstream version 2.007000
2015-05-25 - Axel Beckert <abe@debian.org>
libdist-zilla-plugin-test-podspelling-perl (2.006009-1) unstable; urgency=low
* Initial Release. (Closes: #786753)

See Also

Package Description
libdist-zilla-plugin-podweaver-perl_4.008-1_all.deb Dist::Zilla plugin to use Pod::Weaver to generate Pod documentation
libdist-zilla-plugin-prepender-perl_2.004-1_all.deb Dist::Zilla plugin to prepend lines at the top of your perl files
libdist-zilla-plugin-readmefrompod-perl_0.37-1_all.deb Dist::Zilla plugin to generate a README from Pod
libdist-zilla-plugin-repository-perl_0.24-1_all.deb Dist::Zilla plugin to discovery repository URL from svn/svk/Git checkout
libdist-zilla-plugin-requiresexternal-perl_1.008-1_all.deb Dist::Zilla plugin to declare dependency on command-line tools
libdist-zilla-plugin-run-perl_0.048-1_all.deb Dist::Zilla plugin to execute external commands
libdist-zilla-plugin-templatefiles-perl_0.03-1_all.deb plugin that enables the use of templates in a Dist::Zilla distribution
libdist-zilla-plugin-test-compile-perl_2.058-1_all.deb common tests to check syntax of your modules, using only core modules
libdist-zilla-plugin-test-eol-perl_0.19-2_all.deb Dist::Zilla plugin to make sure that correct line endings are used
libdist-zilla-plugin-test-kwalitee-perl_2.12-1_all.deb Dist::Zilla plugin providing a release-time Kwalitee test
libdist-zilla-plugin-test-notabs-perl_0.15-3_all.deb Dist::Zilla plugin to make sure hard tabs are not used
libdist-zilla-plugin-test-perl-critic-perl_3.001-2_all.deb Dist::Zilla plugin to check your code with perlcritic
libdist-zilla-plugin-test-podspelling-perl_2.007005-1_all.deb Author tests for POD spelling
libdist-zilla-plugin-test-reportprereqs-perl_0.027-1_all.deb module to report on prerequisite versions during automated testing
libdist-zilla-plugin-twitter-perl_0.026-2_all.deb Twitter when you release with Dist::Zilla
Advertisement
Advertisement